<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::impl1::thread_safe_message_queue::msg_wrap Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><b>impl1</b></li><li class="navelem"><a class="el" href="classdlib_1_1impl1_1_1thread__safe__message__queue.html">thread_safe_message_queue</a></li><li class="navelem"><a class="el" href="structdlib_1_1impl1_1_1thread__safe__message__queue_1_1msg__wrap.html">msg_wrap</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structdlib_1_1impl1_1_1thread__safe__message__queue_1_1msg__wrap-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::impl1::thread_safe_message_queue::msg_wrap Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa985713983f9683d5e653614f45d994c"><td class="memItemLeft" align="right" valign="top"><a id="aa985713983f9683d5e653614f45d994c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>msg_wrap</b> (const <a class="el" href="structdlib_1_1impl1_1_1msg__data.html">msg_data</a> &amp;data_, const <a class="el" href="namespacedlib.html#a61113f8b6b3e4ccb66deca9355c8f65d">dlib::uint64</a> &amp;sequence_number_)</td></tr>
<tr class="separator:aa985713983f9683d5e653614f45d994c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86106d72b17bb79b7f5582a6adcca55b"><td class="memItemLeft" align="right" valign="top"><a id="a86106d72b17bb79b7f5582a6adcca55b"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;</b> (const <a class="el" href="structdlib_1_1impl1_1_1thread__safe__message__queue_1_1msg__wrap.html">msg_wrap</a> &amp;item) const</td></tr>
<tr class="separator:a86106d72b17bb79b7f5582a6adcca55b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac1d007f9e410b5d54652f92c5405b16d"><td class="memItemLeft" align="right" valign="top"><a id="ac1d007f9e410b5d54652f92c5405b16d"></a>
<a class="el" href="structdlib_1_1impl1_1_1msg__data.html">msg_data</a>&#160;</td><td class="memItemRight" valign="bottom"><b>data</b></td></tr>
<tr class="separator:ac1d007f9e410b5d54652f92c5405b16d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedecbfeb1ddbdd41587ba60866b6f6cb"><td class="memItemLeft" align="right" valign="top"><a id="aedecbfeb1ddbdd41587ba60866b6f6cb"></a>
<a class="el" href="namespacedlib.html#a61113f8b6b3e4ccb66deca9355c8f65d">dlib::uint64</a>&#160;</td><td class="memItemRight" valign="bottom"><b>sequence_number</b></td></tr>
<tr class="separator:aedecbfeb1ddbdd41587ba60866b6f6cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">WHAT THIS OBJECT REPRESENTS
    This is a simple message queue for msg_data objects.  Note that it
    has the special property that, while messages will generally leave
    the queue in the order they are inserted, any message with a smaller
    epoch value will always be popped out first.  But for all messages
    with equal epoch values the queue functions as a normal FIFO queue.
</pre><p> ! </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="bsp_2bsp_8h_source.html">bsp/bsp.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
